Retrieve counter tables with schema definitions
Accesses a collection of counter tables along with their schema definitions, which helps you understand the structure and details of the counter data available in your ONTAP environment.
HTTP method and endpoint
GET /cluster/counter/tables
Introduced in
ONTAP 9.11
Usage notes
Returns a collection of counter tables and their schema definitions.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
counter_schemas.name |
string |
query |
False |
Filter by counter_schemas.name |
counter_schemas.unit |
string |
query |
False |
Filter by counter_schemas.unit |
counter_schemas.type |
string |
query |
False |
Filter by counter_schemas.type |
counter_schemas.description |
string |
query |
False |
Filter by counter_schemas.description |
counter_schemas.denominator.name |
string |
query |
False |
Filter by counter_schemas.denominator.name |
name |
string |
query |
False |
Filter by name |
description |
string |
query |
False |
Filter by description |
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
desc] direction. Default direction is 'asc' for ascending. |
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of records |
records |
array[counter_table] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"counter_schemas": [
{
"denominator": {
"name": "string"
},
"description": "string",
"name": "string",
"type": "string",
"unit": "string"
}
],
"description": "string",
"name": "string"
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
8585368 |
The system has not completed it's initialization |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
_links
| Name | Type | Description |
|---|---|---|
self |
counter_denominator
Counter used as the denominator in calculating the resulting value of averages and percentages.
| Name | Type | Description |
|---|---|---|
name |
string |
Counter name. |
counter_schema
Schema definition of a single counter or property.
| Name | Type | Description |
|---|---|---|
denominator |
Counter used as the denominator in calculating the resulting value of averages and percentages. |
|
description |
string |
Counter or property description. |
name |
string |
Counter or property name. |
type |
string |
Type of counter or property. Properties will always set this field to 'string'. |
unit |
string |
Counter unit. |
counter_table
Information for a single counter table.
| Name | Type | Description |
|---|---|---|
_links |
||
counter_schemas |
array[counter_schema] |
Array of counter schema definitions. |
description |
string |
Description of the table. |
name |
string |
Table name. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |